## Index

### Classes

- BaseUI
- CellColorCache

### Functions

- collapseSpritesToPixels

## Functions

### collapseSpritesToPixels

- collapseSpritesToPixels(spritesToDraw: GameSprite[], backgroundColor: Optional<IColor>, spriteHeight: number, spriteWidth: number): IColor[][]

- - Defined in ui/base.ts:39

  #### Parameters

  - ##### spritesToDraw: GameSprite[]

  - ##### backgroundColor: Optional<IColor>

  - ##### spriteHeight: number

  - ##### spriteWidth: number

  #### Returns IColor[][]

Generated using TypeDoc